Skip to main content
GET
Get a segment

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The segment ID.

Response

The segment object

id
string<uuid>

Unique identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string

The name of the segment.

Example:

"VIP Customers"

match_type
enum<string>

How to match the filter groups. all requires all groups to match, any requires at least one.

Available options:
all,
any
Example:

"all"

filters
object

The filter configuration for the segment.

created_at
string<date-time>

When the segment was created.

Example:

"2026-03-03 10:00:00"

updated_at
string<date-time>

When the segment was last updated.

Example:

"2026-03-03 10:00:00"